package jp.agentec.abook.abv.bl.acms.client.parameters;

/**
 * Created by kim jinsung on 2018/09/15.
 */

public class SendPushMessageParameters extends AcmsParameters {
    private long operationId;
    private int sendType;
    private String message;

    /**
     * {@link AcmsParameters} のインスタンスを初期化します。
     *
     * @param sid ログインした時のセッションIDです。
     * @since 1.0.0
     */
    public SendPushMessageParameters(String sid, long operationId, int sendType, String message) {
        super(sid);
        this.operationId = operationId;
        this.sendType = sendType;
        this.message = message;
    }

    public long getOperationId() {
        return operationId;
    }
    public int getSendType() {
        return sendType;
    }
    public String getMessage() {
        return message;
    }

}
